Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSemantics
Class IntendedMeans

    java.lang.Object
      jason.asSemantics.IntendedMeans

All Implemented Interfaces:
  java.io.Serializable

    public class IntendedMeans

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Plan` | `plan`
`protected PlanBody` | `planBody`
`protected Unifier` | `unif`

Constructor Summary
`IntendedMeans(Option opt, Trigger te)`

Method Summary
`java.lang.Object` | `clone()`
`org.w3c.dom.Element` | `getAsDOM(org.w3c.dom.Document document)` get as XML
`Term` | `getAsTerm()`
`PlanBody` | `getCurrentStep()`
`Plan` | `getPlan()`
`Trigger` | `getTrigger()` gets the trigger event that caused the creation of this IM
`Unifier` | `getUnif()`
`PlanBody` | `insertAsNextStep(PlanBody pb2add)`
`boolean` | `isAtomic()`
`boolean` | `isFinished()`
`boolean` | `isGoalAdd()`
`Term` | `removeCurrentStep()` removes the current action of the IM and returns the term of the body
`void` | `setTrigger(Trigger tr)`
`void` | `setUnif(Unifier unif)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### unif

    protected Unifier unif

### planBody

    protected PlanBody planBody

### plan

    protected Plan plan

Constructor Detail

### IntendedMeans

    public IntendedMeans(Option opt,
                         Trigger te)

Method Detail

### removeCurrentStep

    public Term removeCurrentStep()

  removes the current action of the IM and returns the term of the body

### getCurrentStep

    public PlanBody getCurrentStep()

### insertAsNextStep

    public PlanBody insertAsNextStep(PlanBody pb2add)

### getPlan

    public Plan getPlan()

### setUnif

    public void setUnif(Unifier unif)

### getUnif

    public Unifier getUnif()

### getTrigger

    public Trigger getTrigger()

  gets the trigger event that caused the creation of this IM

### setTrigger

    public void setTrigger(Trigger tr)

### isAtomic

    public boolean isAtomic()

### isFinished

    public boolean isFinished()

### isGoalAdd

    public boolean isGoalAdd()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAsTerm

    public Term getAsTerm()

### getAsDOM

    public org.w3c.dom.Element getAsDOM(org.w3c.dom.Document document)

  get as XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD